WordPress.org

Ready to get started?Download WordPress

Forums

Edit Flow
[resolved] Edit Flow and PHP 5.4 (3 posts)

  1. philippgerard
    Member
    Posted 2 years ago #

    Hey there,

    as requested by Daniel in his blog here we go with bug reports which occur on setups using PHP 5.4 (latest stable build):

    • After the installation of the plugin the following error is highlighted by PHP (which breaks the complete setup until fixed): Fatal error: Call-time pass-by-reference has been removed in wp-content/plugins/edit-flow/modules/story-budget/story-budget.php on line 473.
      The line in question is:
      if ( method_exists( &$this, 'term_column_' . $key ) ) {

      The error happens because of the &this (explanation: http://stackoverflow.com/questions/4665782/call-time-pass-by-reference-has-been-deprecated).

    http://wordpress.org/extend/plugins/edit-flow/

  2. Daniel Bachhuber
    Hand Built
    Plugin Author

    Posted 2 years ago #

    As it turns out, I already fixed this. Feel free to make the local modification as necessary. The permanent fix will be out in the next release.

  3. Daniel Bachhuber
    Hand Built
    Plugin Author

    Posted 2 years ago #

    This is now fixed in v0.7.2

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic